#ifndef SETTINGS_H
#define SETTINGS_H

struct sys_window_settings;

struct buffer settings_serialize(struct arena *arena, const struct sys_window_settings *settings);
struct sys_window_settings *settings_deserialize(struct arena *arena, struct buffer src, struct string *error_out);

#endif
